fuss-manager - Segnalazione #758

Configurazione data source solo con class method
02/20/2019 02:40 PM - Enrico Zini

Status: Risolto Start date: 02/20/2019
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.1 Raccolta dati con output su stdout

Resolution:

Description

Al momento vengono passati pezzi di configurazione delle data source nei costruttori (path di arpwatch, path di syslog), ma vengono
testati nell'is_viable, che accede solo ai membri della classe.

Togliere questi parametri dai costruttori per non dare l'idea che sia quello che c'e da fare per farne override, e nei test fare override
dei class member

Associated revisions

Revision 16c68a92 - 03/07/2019 02:53 PM - Enrico Zini

Deal with the stats store not existing the first time it is run. refs: #758

Revision 910a7856 - 03/07/2019 02:53 PM - Enrico Zini

Pass Config to is_viable, use paths from Config, and remove them from class methods. refs: #758

Revision e3f6943f - 03/08/2019 10:16 AM - Elena Grandi
Merge branch 't758' Fixes: #758

History

#1 - 02/21/2019 05:33 PM - Enrico Zini

Per poter lanciare monitor e runserver da utente, ho aggiunto una classe manager.config.Config che raccoglie le configurazioni per i vari componenti
di Fuss Manager.

L'idea & passare questa classe ai vari costruttori, in modo che si possano configurare, ed eventualmente modificarne i contenuti da fuss-manager con
opzioni da linea di comando.

Risolverei la questione di questo ticket passando l'istanza di Config anche alle is_viable.

#2 - 03/07/2019 02:35 PM - Enrico Zini

- Assignee set to Enrico Zini

#3 - 03/07/2019 02:54 PM - Enrico Zini

- Status changed from Nuovo to Commenti

- Assignee changed from Enrico Zini to Elena Grandi

Dovrebbe essere fatto (branch t758), te lo passo per review

#4 - 03/08/2019 10:20 AM - Elena Grandi
- Status changed from Commenti to Risolto

- % Done changed from 0 to 100

Applicata nel changeset fuss-manager|e3f6943ff8f2d766ca5¢c188734afedf7dd180717.
